Loading...
Searching...
No Matches
Dune::Amg::Transfer< V, V1, OwnerOverlapCopyCommunication< T1, T2 > > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/transfer.hh>`

Inheritance diagram for Dune::Amg::Transfer< V, V1, OwnerOverlapCopyCommunication< T1, T2 > >:

## Public Types

typedef V | Vertex
typedef V1 | Vector
typedef RedistributeInformation< OwnerOverlapCopyCommunication< T1, T2 > > | Redist

## Static Public Member Functions

template<typename T3>
static void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, Vector &fineRedist, T3 damp, OwnerOverlapCopyCommunication< T1, T2 > &comm, const Redist &redist)
template<typename T3>
static void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, T3 damp, OwnerOverlapCopyCommunication< T1, T2 > &comm)
static void | restrictVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, const Vector &fine, OwnerOverlapCopyCommunication< T1, T2 > &comm)

## Member Typedef Documentation

## Redist

template<class V, class V1, class T1, class T2>

typedef RedistributeInformation<OwnerOverlapCopyCommunication<T1,T2> > Dune::Amg::Transfer< V, V1, OwnerOverlapCopyCommunication< T1, T2 > >::Redist

## Vector

template<class V, class V1, class T1, class T2>

typedef V1 Dune::Amg::Transfer< V, V1, OwnerOverlapCopyCommunication< T1, T2 > >::Vector

## Vertex

template<class V, class V1, class T1, class T2>

typedef V Dune::Amg::Transfer< V, V1, OwnerOverlapCopyCommunication< T1, T2 > >::Vertex

The documentation for this class was generated from the following file:

- transfer.hh